"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const vitest_1 = require("vitest");
const escapeString_1 = __importDefault(require("./escapeString"));
vitest_1.it.each([
    ["this should be easy"],
    [""],
    [" "],
    ["adam's test"],
    ['"'],
    ["'''"],
    ["' '"],
    ["\"'`\n\t"],
    ["\"'`\n\t".repeat(10)],
])("should escape string: %s", (s) => {
    const f = new Function(`return '${(0, escapeString_1.default)(s)}'`);
    (0, vitest_1.expect)(f()).toBe(s);
});
